Search documentation of tiger_stripe

# Stripe.Services.Treasury.ReceivedDebitService (tiger_stripe v0.1.1)

Copy Markdown View Source

TreasuryReceivedDebitsResourceReceivedDebit

ReceivedDebits represent funds pulled from a FinancialAccount. These are not initiated from the FinancialAccount.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all ReceivedDebits

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a ReceivedDebit

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all ReceivedDebits

Returns a list of ReceivedDebits.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a ReceivedDebit

Retrieves the details of an existing ReceivedDebit by passing the unique ReceivedDebit ID from the ReceivedDebit list